export declare class SharedPlanNameInputGenerator {
    static random(): string;
}
export interface SharedPlanDetailsInput {
    name: string;
    description?: string;
}
export declare class SharedPlanDetailsInputGenerator {
    static random({ name, description }?: Partial<SharedPlanDetailsInput>): SharedPlanDetailsInput;
}
